/*
 * Data definitions
 *
 */

#ifndef SM_TILEDATA_H
#define SM_TILEDATA_H

/*
 * ****************** DATA ******************
 */

//four 8x8 tiles, stored at FC, FD, FE, FF in the BG memory
// FC = light
// FD = medium
// FE = dark
// FF = black
extern const unsigned char std_data[];
extern const unsigned char data_main_menu[];
extern const unsigned char data_background[];


extern const unsigned char data_burly_walk_right[];
extern const unsigned char data_burly_attack_right[];

extern const unsigned char data_fox_sitting[];
extern const unsigned char data_fox_walk_left[];
extern const unsigned char data_fox_dying_left[];
extern const unsigned char data_fox_spawn[];
extern const unsigned char data_cookie[];
extern const unsigned char data_fox_dead[];

extern const unsigned char data_sm_2011[];


/*
 * ****************** TILES ******************
 */

extern const unsigned char tiles_sm_2011[];

extern const unsigned char tiles_main_menu[];
extern const unsigned char tiles_main_menu_line2[];
extern const unsigned char tiles_grass[];
extern const unsigned char tiles_grass2[];
extern const unsigned char tiles_grass3[];
extern const unsigned char tiles_tree[];
extern const unsigned char tiles_tree2[];
extern const unsigned char tiles_rock[];
extern const unsigned char tiles_stump[];
extern const unsigned char tiles_logs[];
extern const unsigned char tiles_mushroom[];

extern const unsigned char tiles_nothing[];
extern const unsigned char tiles_flat_white[];

extern const unsigned char tiles_burly_walk_right[];
extern const unsigned char tiles_burly_attack_right[];

extern const unsigned char tiles_fox_walk_left[];
extern const unsigned char tiles_fox_sitting[];
extern const unsigned char tiles_fox_dying[];
extern const unsigned char tiles_fox_spawn[];

extern const unsigned char tiles_fox_dead[];

extern const unsigned char tiles_cookie[];
#endif
