#include <gb/gb.h>
#include "types.h"
#include "animation.h"

#ifndef SM_GAMELOGIC_H
#define SM_GAMELOGIC_H

// protagonist bear Burly
extern burly_t burly;

// mean foxes
extern fox_t fox[MAX_FOXES];

// cookie powerup
extern cookie_t cookie;

// how many foxes left until level is completed
extern UBYTE foxes_remaining;

UBYTE interactions();
UBYTE ai();
UBYTE animate(const UBYTE time);
UBYTE render();
UBYTE handle_input( burly_t *burly, const UBYTE time );

#endif
