#include <gb/gb.h>
#include "types.h"

#ifndef SM_ANIMATION_H
#define SM_ANIMATION_H

// animate characters -- called every frame
int burly_animate( burly_t *burly, UBYTE time );
// return how many remaining foxes there are
UBYTE fox_animate( fox_t *fox, UBYTE time, UBYTE remaining );

// render characters -- called every frame
int burly_render(burly_t *burly);
int fox_render(fox_t *fox);
int cookie_render(cookie_t *cookie);


// these return values based on a single random number in order
// to position fox properly, and make it walk in a direction
UBYTE get_facing(fox_t *fox, UBYTE position);
WORD get_speedy(fox_t *fox, UBYTE position);
WORD get_speedx(fox_t *fox, UBYTE position);


#endif
